package com.diagbot.entity.node;

import com.diagbot.model.ai.model.Relation;
import lombok.Data;
import com.diagbot.entity.node.base.BaseNode;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.io.Serializable;
import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "年龄最小值")
public class AgeMin extends BaseNode {

    @Relationship(type="药品通用名禁忌年龄最小值", direction = Relationship.INCOMING)
    private Set<Medicine> medicines;

}
