package com.diagbot.facade.rule;

import com.diagbot.dto.BillDTO;
import com.diagbot.dto.BillNeoDTO;
import com.diagbot.dto.DrugBillNeoDTO;
import com.diagbot.dto.LisBillNeoDTO;
import com.diagbot.dto.PacsBillNeoDTO;
import com.diagbot.dto.WordCrfDTO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 规则facade
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class BillRuleFacade {

    public BillDTO process(BillNeoDTO billNeoDTO, WordCrfDTO wordCrfDTO) {
        BillDTO billDTO = new BillDTO();
        // 化验规则处理
        processBillWithLis(billNeoDTO.getLisBillNeoDTOList(), wordCrfDTO, billDTO);
        // 辅检规则处理
        processBillWithPacs(billNeoDTO.getPacsBillNeoDTOList(), wordCrfDTO, billDTO);
        // 药品规则处理
        processBillWithDrug(billNeoDTO.getDrugBillNeoDTOList(), wordCrfDTO, billDTO);
        return billDTO;
    }

    public void processBillWithLis(List<LisBillNeoDTO> lisBillNeoDTOList, WordCrfDTO wordCrfDTO, BillDTO billDTO) {

    }

    public void processBillWithPacs(List<PacsBillNeoDTO> pacsBillNeoDTOList, WordCrfDTO wordCrfDTO, BillDTO billDTO) {

    }

    public void processBillWithDrug(List<DrugBillNeoDTO> drugBillNeoDTOList, WordCrfDTO wordCrfDTO, BillDTO billDTO) {

    }

}
