package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 药品开单合理性图谱数据
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class DrugBillNeoDTO {
    // 禁忌性别
    private String gender;

    // 年龄最小值
    private Integer minage;

    // 年龄最大值
    private Integer maxage;

    // 临床表现
    private List<String> clinicfindings = new ArrayList<>();

    // 禁忌手术
    private List<String> operations = new ArrayList<>();

    // 禁忌操作
    private List<String> procedures = new ArrayList<>();

    // 禁忌实验室检查
    private List<String> lis = new ArrayList<>();

    // 禁忌辅助检查
    private List<String> PACS = new ArrayList<>();

    // 禁忌过敏药品
    private List<String> allergicmeds = new ArrayList<>();

    // 禁忌疾病
    private List<String> disease = new ArrayList<>();

    // 禁用人群
    private List<String> group = new ArrayList<>();

    // 配伍禁忌
    private List<String> conflictmeds = new ArrayList<>();
}
